# $Id: perl-Date-Easter.spec 3877 2006-01-04 20:06:01Z dries $
# Authority: dries
# Upstream: Rich Bowen <rbowen$rcbowen,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Date-Easter

Summary: Calculates Easter for any given year
Name: perl-Date-Easter
Version: 1.20
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Date-Easter/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/R/RB/RBOW/Date-Easter-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(ExtUtils::MakeMaker)

%description
Calculates Easter for a given year.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%license LICENSE
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Date/Easter.pm
%{_bindir}/easter

%changelog
* Thu Apr 17 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 1.20-1
- update to version 1.20

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.14-2
- rebuild for Fedora 12

* Wed Dec 21 2005 Dries Verachtert <dries@ulyssis.org> - 1.14-1 - 3877/dries
- Initial package.
